Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class VirtualMachine

`java.lang.Object
oracle.ovs.api.datamodel.VirtualMachineBase
oracle.ovs.api.datamodel.VirtualMachine`

All Implemented Interfaces:
  java.io.Serializable

      public class VirtualMachine

extends VirtualMachineBase

Virtual Machine data model.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`BOOT_DEVICE_CDROM, BOOT_DEVICE_HDD, BOOT_DEVICE_PXE, CLONING, CREATING, DEFAULT_KEYBOARD_LAYOUT, DELETING, DEPLOY_AUTO, DEPLOY_MANUAL, DEPLOYING, ERROR, IMG_TYPE, INITIALIZING, MEMORY_LOWERBOUND, MIGRATING, OP_CLONE, OP_DELETE, OP_EDIT, OP_LIVEMIG, OP_PAUSE, OP_POWEROFF, OP_POWERON, OP_PREF_SRV, OP_REBOOT, OP_RESET_STATUS, OP_RESUME, OP_SAVTEM, OP_SUSPEND, OP_UNPAUSE, PAUSED, PAUSING, POWEREDOFF, REBOOTING, RESUMING, RUNNING, SAVING, SHUTTINGDOWN, SUSPENDED, SUSPENDING, UNKNOWN, UNPAUSING, VM_TYPE_HVM, VM_TYPE_PVM`

Constructor Summary
`VirtualMachine()`

Method Summary
`java.lang.String` | `getArchitecture()`
`BootDevice` | `getBootDevice()`
`java.lang.String` | `getComments()`
`java.lang.Integer` | `getCpuNumber()`
`java.lang.Long` | `getCreateTime()`
`java.lang.String` | `getDeploy()`
`java.lang.Boolean` | `getHaEnable()`
`java.lang.Long` | `getImgId()`
`java.lang.String` | `getImgIp()`
`java.lang.String` | `getImgName()`
`java.lang.String` | `getImgSize()`
`java.lang.String` | `getKeyboardLayout()`
`java.lang.String` | `getLocation()`
`java.lang.Integer` | `getMaximumMemory()`
`java.lang.Integer` | `getMemory()`
`java.lang.String` | `getOperatingSystemName()`
`java.lang.Long` | `getParentImg()`
`java.lang.String` | `getPlatform()`
`java.lang.Long` | `getPoweronTime()`
`java.lang.String` | `getPublish()`
`java.lang.Boolean` | `getPvdriver()`
`VmStatus` | `getStatus()`
`java.lang.String` | `getSystemLogin()`
`java.lang.String` | `getSystemPassword()`
`java.lang.String` | `getUuid()`
`VmType` | `getVirtualMachineType()`
`java.lang.String` | `getVncPassword()`
`java.lang.Integer` | `getVncPort()`
`void` | `setArchitecture(java.lang.String architecture)`
`void` | `setBootDevice(BootDevice bootDevice)`
`void` | `setComments(java.lang.String comments)`
`void` | `setCpuNumber(java.lang.Integer cpuNumber)`
`void` | `setCreateTime(java.lang.Long createTime)`
`void` | `setDeploy(java.lang.String deploy)`
`void` | `setHaEnable(java.lang.Boolean haEnable)`
`void` | `setImgId(java.lang.Long imgId)`
`void` | `setImgIp(java.lang.String imgIp)`
`void` | `setImgName(java.lang.String imgName)`
`void` | `setImgSize(java.lang.String imgSize)`
`void` | `setKeyboardLayout(java.lang.String keyboardLayout)`
`void` | `setLocation(java.lang.String location)`
`void` | `setMaximumMemory(java.lang.Integer maximumMemory)`
`void` | `setMemory(java.lang.Integer memory)`
`void` | `setOperatingSystemName(java.lang.String operatingSystemName)`
`void` | `setParentImg(java.lang.Long parentImg)`
`void` | `setPlatform(java.lang.String platform)`
`void` | `setPoweronTime(java.lang.Long poweronTime)`
`void` | `setPublish(java.lang.String publish)`
`void` | `setPvdriver(java.lang.Boolean pvdriver)`
`void` | `setStatus(VmStatus status)`
`void` | `setSystemLogin(java.lang.String systemLogin)`
`void` | `setSystemPassword(java.lang.String systemPassword)`
`void` | `setUuid(java.lang.String uuid)`
`void` | `setVirtualMachineType(VmType virtualMachineType)`
`void` | `setVncPassword(java.lang.String vncPassword)`
`void` | `setVncPort(java.lang.Integer vncPort)`

Methods inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`getBootDeviceCdrom, getBootDeviceHdd, getBootDevicePxe, getHvmType, getPvmType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualMachine

    public VirtualMachine()

Method Detail

### getCreateTime

    public java.lang.Long getCreateTime()

### getDeploy

    public java.lang.String getDeploy()

### getImgId

    public java.lang.Long getImgId()

### getImgName

    public java.lang.String getImgName()

### getImgSize

    public java.lang.String getImgSize()

### getLocation

    public java.lang.String getLocation()

### getParentImg

    public java.lang.Long getParentImg()

### getPoweronTime

    public java.lang.Long getPoweronTime()

### getPublish

    public java.lang.String getPublish()

### getStatus

    public VmStatus getStatus()

### setCreateTime

    public void setCreateTime(java.lang.Long createTime)

### setDeploy

    public void setDeploy(java.lang.String deploy)

### setImgId

    public void setImgId(java.lang.Long imgId)

### setImgName

    public void setImgName(java.lang.String imgName)

### setImgSize

    public void setImgSize(java.lang.String imgSize)

### setLocation

    public void setLocation(java.lang.String location)

### setParentImg

    public void setParentImg(java.lang.Long parentImg)

### setPoweronTime

    public void setPoweronTime(java.lang.Long poweronTime)

### setPublish

    public void setPublish(java.lang.String publish)

### setStatus

    public void setStatus(VmStatus status)

### setImgIp

    public void setImgIp(java.lang.String imgIp)

### getImgIp

    public java.lang.String getImgIp()

### setComments

    public void setComments(java.lang.String comments)

### getComments

    public java.lang.String getComments()

### setCpuNumber

    public void setCpuNumber(java.lang.Integer cpuNumber)

### getCpuNumber

    public java.lang.Integer getCpuNumber()

### setVncPort

    public void setVncPort(java.lang.Integer vncPort)

### getVncPort

    public java.lang.Integer getVncPort()

### setBootDevice

    public void setBootDevice(BootDevice bootDevice)

### getBootDevice

    public BootDevice getBootDevice()

### setKeyboardLayout

    public void setKeyboardLayout(java.lang.String keyboardLayout)

### getKeyboardLayout

    public java.lang.String getKeyboardLayout()

### setHaEnable

    public void setHaEnable(java.lang.Boolean haEnable)

### getHaEnable

    public java.lang.Boolean getHaEnable()

### setPvdriver

    public void setPvdriver(java.lang.Boolean pvdriver)

### getPvdriver

    public java.lang.Boolean getPvdriver()

### setOperatingSystemName

    public void setOperatingSystemName(java.lang.String operatingSystemName)

### getOperatingSystemName

    public java.lang.String getOperatingSystemName()

### setSystemLogin

    public void setSystemLogin(java.lang.String systemLogin)

### getSystemLogin

    public java.lang.String getSystemLogin()

### setSystemPassword

    public void setSystemPassword(java.lang.String systemPassword)

### getSystemPassword

    public java.lang.String getSystemPassword()

### setVncPassword

    public void setVncPassword(java.lang.String vncPassword)

### getVncPassword

    public java.lang.String getVncPassword()

### setMemory

    public void setMemory(java.lang.Integer memory)

### getMemory

    public java.lang.Integer getMemory()

### setMaximumMemory

    public void setMaximumMemory(java.lang.Integer maximumMemory)

### getMaximumMemory

    public java.lang.Integer getMaximumMemory()

### setArchitecture

    public void setArchitecture(java.lang.String architecture)

### getArchitecture

    public java.lang.String getArchitecture()

### setPlatform

    public void setPlatform(java.lang.String platform)

### getPlatform

    public java.lang.String getPlatform()

### setVirtualMachineType

    public void setVirtualMachineType(VmType virtualMachineType)

### getVirtualMachineType

    public VmType getVirtualMachineType()

### setUuid

    public void setUuid(java.lang.String uuid)

### getUuid

    public java.lang.String getUuid()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.